메인 콘텐츠로 건너뛰기
POST
/
api
/
openapi
/
submit
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "veo3_1",
    "params": {
      "prompt": "이 이미지를 움직이게 해주세요",
      "image_url": "https://example.com/reference.jpg",
      "aspect_ratio": "16:9"
    },
    "out_task_id": "my_task_123456"
  }'
{
  "statusCode": 200,
  "message": "",
  "data": {
      "out_task_id": "my_task_123456",
      "status": "pending",
      "estimated_credits": 100,
      "created_at": "2025-12-22T06:03:28.242Z"
  }
}

Authorizations

Authorization
string
필수
모든 엔드포인트는 Bearer Token 인증을 필요로 합니다.API Key 받기:API Key 관리 페이지에 접속하여 API Key를 받으세요.사용할 때 요청 헤더에 다음을 추가하세요:
Authorization: Bearer YOUR_API_KEY

Body

model
string
필수
모델 이름, 다음 채널 버전을 지원합니다(채널은 서비스 안정성에만 영향을 미치며 출력 품질에는 영향을 주지 않습니다):
  • "veo3_1" - 기본
  • "veo3_1_base" - 베이직 버전
  • "veo3_1_plus" - 확장 버전
params
object
필수
모델 파라미터 객체
out_task_id
string
필수
발신자 작업 ID사용자가 정의한 작업 식별자, 필수 입력

Response

out_task_id
string
요청자 작업 ID, 결과 조회에 사용할 수 있습니다
status
string
초기 상태, 고정값 "pending"
estimated_credits
number
예상 소모 크레딧
created_at
string
생성 시간 (ISO 형식)
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "veo3_1",
    "params": {
      "prompt": "이 이미지를 움직이게 해주세요",
      "image_url": "https://example.com/reference.jpg",
      "aspect_ratio": "16:9"
    },
    "out_task_id": "my_task_123456"
  }'
{
  "statusCode": 200,
  "message": "",
  "data": {
      "out_task_id": "my_task_123456",
      "status": "pending",
      "estimated_credits": 100,
      "created_at": "2025-12-22T06:03:28.242Z"
  }
}